Команда Snap Package не работает

Я создал пакет моментальных снимков из моего репозитория github с именем ubuntunews. Он скомпилирован без ошибок и установил его без ошибок. Однако, когда я набираю команду ubuntunews запустить его, это дает мне ошибку bash: /usr/local/bin/ubuntunews: No such file or directory что странно, потому что путь привязки - / snap / bin / ubuntunews. Я думаю, это потому, что я установил ubuntunews как обычный пакет некоторое время назад, но сейчас удалил его и удалил скрипт ubuntunews из / usr / local / bin, но команда snap по-прежнему не работает и продолжает отображать ту же ошибку, Как мне обойти это, это мой первый опыт создания пакетов оснастки.

name: ubuntunews 
version: '1.0' 
summary: Get latest news from omgubuntu website 
description: | 
  Webcraped omgubuntu website to get the latest news about your favourite 
  linux distro and it's flavours. 

grade: devel 
confinement: devmode 

apps: 
  ubuntunews: 
    command: bin/ubuntunews 
    plugs: [network] 

parts: 
  ubuntu-news: 
    source: https://github.com/Abugbilla/ubuntunews 
    source-type: git 
    plugin: python 
    python-version: python3 
    python-packages: [bs4]

2 ответа

@popey Я сделал это, и я все еще получал ошибку. Но позже я узнал, что проблема была в двух конфликтующих путях для ubuntnews, которые являются / usr / local / bin / ubuntunews и /snap/bin/ubuntunews. Чтобы очистить, что я бегу source ~./bashrc так что я мог получить только / snap / bin / ubuntunews, это путь, который я на самом деле хотел. Но теперь я получаю новую ошибку /snap/ubuntunews/x1/usr/bin/python3: /lib/x86_64-linux-gnu/libc.so.6: version 'GLIBC_2.25' not found (required by /snap/ubuntunews/x1/usr/bin/python3)

Это работает и строит для меня, но вам не хватает некоторых зависимостей. Возможно, ты скучаешь python-gi,

alan@hal:~/tmp/ubuntunews⟫ snap install ubuntunews_1.0_amd64.snap --dangerous --devmode
ubuntunews 1.0 installed
alan@hal:~/tmp/ubuntunews⟫ snap run ubuntunews
Traceback (most recent call last):
  File "/snap/ubuntunews/x1/bin/ubuntunews", line 11, in <module>
    load_entry_point('ubuntunews==1.0', 'console_scripts', 'ubuntunews')()
  File "/snap/ubuntunews/x1/lib/python3.5/site-packages/pkg_resources/__init__.py", line 572, in load_entry_point
    return get_distribution(dist).load_entry_point(group, name)
  File "/snap/ubuntunews/x1/lib/python3.5/site-packages/pkg_resources/__init__.py", line 2755, in load_entry_point
    return ep.load()
  File "/snap/ubuntunews/x1/lib/python3.5/site-packages/pkg_resources/__init__.py", line 2408, in load
    return self.resolve()
  File "/snap/ubuntunews/x1/lib/python3.5/site-packages/pkg_resources/__init__.py", line 2414, in resolve
    module = __import__(self.module_name, fromlist=['__name__'], level=0)
  File "/snap/ubuntunews/x1/lib/python3.5/site-packages/ubuntunews/__init__.py", line 2, in <module>
    from . import brain
  File "/snap/ubuntunews/x1/lib/python3.5/site-packages/ubuntunews/brain.py", line 12, in <module>
    import gi
ImportError: No module named 'gi'

Так что я думаю, вам нужно по крайней мере:-

stage-packages:
  - python3-gi
Другие вопросы по тегам